# ApplicationFramework
TKCAF
TPrsStd

# TPrsStd_GeometryDriver Class Reference

This method is an implementation of TPrsStd_Driver for geometries.
.

`#include <TPrsStd_GeometryDriver.hxx>`

Inheritance diagram for TPrsStd_GeometryDriver:

[legend]

## Public Member Functions

Standard_EXPORT | TPrsStd_GeometryDriver ()
| Constructs an empty geometry driver. .
virtual Standard_EXPORT Standard_Boolean | Update (const TDF_Label &aLabel, Handle(AIS_InteractiveObject)&anAISObject)
| Build the AISObject (if null) or update it. No compute is done. Returns <true> if informations was found and AISObject updated. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT TPrsStd_GeometryDriver::TPrsStd_GeometryDriver | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const TPrsStd_GeometryDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TPrsStd_Driver.

virtual Standard_EXPORT Standard_Boolean TPrsStd_GeometryDriver::Update | ( | const TDF_Label & | aLabel,
|  | Handle(AIS_InteractiveObject)& | anAISObject
| ) | `[virtual]`

| Implements TPrsStd_Driver.

The documentation for this class was generated from the following file:

- TPrsStd_GeometryDriver.hxx